summarylogtreecommitdiffstats
path: root/zfs-utils.install
diff options
context:
space:
mode:
authorEli Schwartz2020-03-18 15:48:04 -0400
committerEli Schwartz2020-04-02 12:14:55 -0400
commitafd1d3e734eda168996aca8752f51b1416023e45 (patch)
tree660228a0f93491c5b1c357ac295857b7f654ef31 /zfs-utils.install
parentd8a199382b16c6455d35389dc6547301f817ca8c (diff)
downloadaur-afd1d3e734eda168996aca8752f51b1416023e45.tar.gz
upgpkg: zfs-utils-git 0.8.0.r709.g5a42ef04f-1
This package is atrocious and completely unacceptable as-is. It claims to be a git package, but uses pinned sources, and the packager has simply ignored this for 15 months now. The version number is honestly bonkers, it distributes tons of garbage, and it's full of pseudocode from archzfs's questionable maintenance scripts. Nuke it all and replace it with parallel code from zfs-dkms.
Diffstat (limited to 'zfs-utils.install')
-rw-r--r--zfs-utils.install18
1 files changed, 0 insertions, 18 deletions
diff --git a/zfs-utils.install b/zfs-utils.install
deleted file mode 100644
index 914ed46bf47..00000000000
--- a/zfs-utils.install
+++ /dev/null
@@ -1,18 +0,0 @@
-post_upgrade() {
-
- # If upgrading from 2017.12.08.r3208.4e9b15696-1 or older
- # display zfs-import warning
- if [[ $(vercmp $2 2017.12.08.r3208.4e9b15696-1) -le 0 ]]; then
- echo '>>> WARNING: A new systemd unit file was added to archzfs!'
- echo '>>> You may need enable zfs-import.target'
- echo '>>> See https://github.com/archzfs/archzfs/issues/186'
- fi
-
- # If upgrading from 2018.02.02.r3272.1b66810ba-1 or older
- # display encryption format change warning
- if [[ $(vercmp $2 2018.02.02.r3272.1b66810ba-1) -le 0 ]]; then
- echo '>>> WARNING: The on-disk format for encrypted datasets has changed!'
- echo '>>> All encrypted datasets will mount read only and need to be migrated.'
- echo '>>> See https://github.com/archzfs/archzfs/issues/222'
- fi
-}